/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * A copy of the GNU General Public License is included along with this
 * program in the file gpl-3.0.txt.
 * 
 */
Ext.define('Fracking.view.ZoomLayers' ,{
  extend:'Ext.panel.Panel',
  alias:'widget.zoomlayers',
  header:false,
  border:false,
  bodyStyle:{
    background:'transparent',
  },
  layout:'absolute',
  defaults:{
    margin:0,
    padding:2,
    x:0,
    labelWidth:0,
    width:190,
  },
  initComponent:function() {
    this.callParent(arguments);
  },
  items:[
    {
      xtype:'combobox',
      itemId:'idZoomWMA',
      y:0,
      store:'WMAs',
      valueField:'ID',
      value:'-9',
      displayField:'Name',
      queryMode:'local',
      forceSelection:true,
    },{
      xtype:'combobox',
      itemId:'idZoomQuat',
      y:25,
      store:'Quaternaries',
      valueField:'ID',
      value:'-9',
      displayField:'Name',
      queryMode:'local',
      forceSelection:true,
    },{
      xtype:'combobox',
      itemId:'idZoomTown',
      y:50,
      store:'Towns',
      valueField:'ID',
      value:'-9',
      displayField:'Name',
      queryMode:'local',
      forceSelection:true,
    },
  ],
});
