<?php
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * A copy of the GNU General Public License is included along with this
 * program in the file gpl-3.0.txt.
 * 
 */

# Set the time zone
date_default_timezone_set('Africa/Johannesburg');

# Function to add common html code to the start of the page
function html_begin($includes="includes_general") {
  print ("<!DOCTYPE html>\n");
  print ("<html>\n");
  print ("  <head>\n");
  print ("    <meta http-equiv='Content-type' content='text/html; charset=utf-8' />\n");
  require_once "./templates/header.html";
  require_once "./templates/$includes.html";
  print ("  </head>\n");
  print ("  <body class='docBody'>\n");
  require_once "./templates/navigation.html";
  print ("    <div id='container'>\n");
}

# Function to add common html code to the end of the page
function html_end() {
  print ("    </div> <!--container-->\n");
  require_once "./templates/footer.html";
  print ("  </body>\n");
  print ("</html>\n");
}

?>
