/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * A copy of the GNU General Public License is included along with this
 * program in the file gpl-3.0.txt.
 *
 */
Ext.define('Fracking.store.WMAs', {
  extend:'Ext.data.Store',
  requires:'Fracking.model.Location',
  model:'Fracking.model.Location',
  data:[
    {'ID':'-9','Name':'Zoom to WMA...','Latitude':'-9','Longitude':'-9','ZoomLevel':'0'},
    {'ID':'9','Name':'Berg Olifants','Latitude':'-32.058318','Longitude':'19.115817','ZoomLevel':'2'},
    {'ID':'8','Name':'Breede Gouritz','Latitude':'-33.527238','Longitude':'21.260434','ZoomLevel':'2'},
    {'ID':'3','Name':'Inkomati Usuthu','Latitude':'-25.668389','Longitude':'30.970188','ZoomLevel':'2'},
    {'ID':'1','Name':'Limpopo','Latitude':'-24.128937','Longitude':'28.225091','ZoomLevel':'2'},
    {'ID':'7','Name':'Mzimvubu Tsitsikamma','Latitude':'-32.274737','Longitude':'26.156046','ZoomLevel':'1'},
    {'ID':'2','Name':'Olifants','Latitude':'-24.588751','Longitude':'30.054586','ZoomLevel':'2'},
    {'ID':'6','Name':'Orange','Latitude':'-29.760666','Longitude':'22.289363','ZoomLevel':'1'},
    {'ID':'4','Name':'Pongola Mtamvuna','Latitude':'-28.677844','Longitude':'30.755685','ZoomLevel':'2'},
    {'ID':'5','Name':'Vaal','Latitude':'-27.264325','Longitude':'25.5973','ZoomLevel':'1'},
  ],
});
